Meetings

Async Meetings Export

Exports a list of meetings asynchronously.

POST
/meetings.export.async

Exports a list of meetings asynchronously.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Request Body

application/json

channel?array<meeting-channel>

Filters for meeting on specified channels.

columns?array<string>

The columns to include in the export along with their names in the export file, e.g., "title=Title". If the list of columns is empty, all the fields will be exported.

compression?string
Value in"gzip" | "none"
created_by?array<string>

Filters for meetings created by the specified user(s).

created_date?|

Provides ways to specify date ranges on objects.

custom_fields?object

Filters for meeting on custom fields.

direction?array<meeting-direction>

Direction of the meetings to be fetched.

ended_date?|

Provides ways to specify date ranges on objects.

external_ref?array<string>

Filters for meetings with the provided external_ref(s).

file_name?string

The name of the file user wants to give to the exported file. If not set, the file name will be the default name. If the file name exceeds 128 bytes after sanitization, it will be truncated to 128 bytes.

Formattext
format?string
Value in"csv" | "json"
links?

Filters for links associated with the meeting.

members?array<string>

Filter for meeting on specified Member Ids.

modified_date?|

Provides ways to specify date ranges on objects.

organizer?array<string>

Filter for meeting on specified organizers.

parent?array<string>Deprecated

Filters for meetings with the provided parent.

scheduled_date?|

Provides ways to specify date ranges on objects.

state?array<meeting-state>

Filters for meeting on specified state or outcomes.

subtype?array<string>

Subtypes of meeting to be filtered.

sync_metadata?
tags?array<string>

Filters for meeting by tags.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.devrev.ai/meetings.export.async" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden",
  "object_ids": [
    "string"
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}